# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v5.10.129
  - 7208d1236f72 Linux 5.10.129
  - 0e21ef18019c clocksource/drivers/ixp4xx: remove EXPORT_SYMBOL_GPL from ixp4xx_timer_setup()
  - 7055e3446244 net: usb: qmi_wwan: add Telit 0x1070 composition
  ACK: pavel
  - f1a53bb27f17 net: usb: qmi_wwan: add Telit 0x1060 composition
  ACK: pavel
  - 43c8d33ce353 xen/arm: Fix race in RB-tree based P2M accounting
  ACK: pavel
  - 547b7c640df5 xen-netfront: restore __skb_queue_tail() positioning in xennet_get_responses()
  ACK: pavel
  - cbbd2d253153 xen/blkfront: force data bouncing when backend is untrusted
  ACK: pavel
  - 4923217af574 xen/netfront: force data bouncing when backend is untrusted
  ACK: pavel
  - 728d68bfe68d xen/netfront: fix leaking data in shared pages
  ACK: pavel
  - cfea428030be xen/blkfront: fix leaking data in shared pages
  ACK: pavel
  - d341e5a75480 selftests/rseq: Change type of rseq_offset to ptrdiff_t
  - 7e617278bf3a selftests/rseq: x86-32: use %gs segment selector for accessing rseq thread area
  - 27f6361cb415 selftests/rseq: x86-64: use %fs segment selector for accessing rseq thread area
  - a4312e2d8192 selftests/rseq: Fix: work-around asm goto compiler bugs
  - 7e1a0a9a4442 selftests/rseq: Remove arm/mips asm goto compiler work-around
  - ba4d79af7101 selftests/rseq: Fix warnings about #if checks of undefined tokens
  - 35c6f5047ff3 selftests/rseq: Fix ppc32 offsets by using long rather than off_t
  - dbc1f0ee6044 selftests/rseq: Fix ppc32 missing instruction selection "u" and "x" for load/store
  - d4f631ea2dd6 selftests/rseq: Fix ppc32: wrong rseq_cs 32-bit field pointer on big endian
  - e85fdae4df72 selftests/rseq: Uplift rseq selftests for compatibility with glibc-2.35
  - c79e564535c0 selftests/rseq: Introduce thread pointer getters
  - 4a78bf83e226 selftests/rseq: Introduce rseq_get_abi() helper
  - 3c2a416c80cc selftests/rseq: Remove volatile from __rseq_abi
  - 68e1232c6e93 selftests/rseq: Remove useless assignment to cpu variable
  - 3e77ed4f9052 selftests/rseq: introduce own copy of rseq uapi header
  - 54cd556487d4 selftests/rseq: remove ARRAY_SIZE define from individual tests
  - 14894cf6925c hwmon: (ibmaem) don't call platform_device_del() if platform_device_add() fails
  ACK: pavel
  - f72d410dbf8d ipv6/sit: fix ipip6_tunnel_get_prl return value
  UR: pavel -- c/e
  - 25055da22a0f sit: use min
  ACK: pavel -- just a cleanup/preparation
  - 652fd40eb01c drivers: cpufreq: Add missing of_node_put() in qoriq-cpufreq.c
  - 79963021fd71 xen/gntdev: Avoid blocking in unmap_grant_pages()
  UR: pavel -- long
  - 5f614f5f70bf tcp: add a missing nf_reset_ct() in 3WHS handling
  ACK: pavel
  - 9203dfb3ed6b xfs: fix xfs_reflink_unshare usage of filemap_write_and_wait_range
  - f874e16870cc xfs: update superblock counters correctly for !lazysbcount
  - 7ab7458d7af7 xfs: fix xfs_trans slab cache name
  - f12968a5a4be xfs: ensure xfs_errortag_random_default matches XFS_ERRTAG_MAX
  - da61388f9a75 xfs: Skip repetitive warnings about mount options
  ACK: pavel -- just a printk tweak
  - 6b7dab812cba xfs: rename variable mp to parsing_mp
  ACK: pavel -- just a cleanup/preparation
  - b261cd005ab9 xfs: use current->journal_info for detecting transaction recursion
  ACK: pavel
  - c36d41b65e57 net: tun: avoid disabling NAPI twice
  ACK: pavel
  - 59c51c3b5451 tunnels: do not assume mac header is set in skb_tunnel_check_pmtu()
  ACK: pavel
  - c9fc52c1739e io_uring: ensure that send/sendmsg and recv/recvmsg check sqe->ioprio
  ACK: pavel -- just a robustness
  - b8def021ac70 epic100: fix use after free on rmmod
  ACK: pavel -- not a minimum fix
  - 456bc338871c tipc: move bc link creation back to tipc_node_create
  UR: pavel -- c/e
  - 09f994623530 NFC: nxp-nci: Don't issue a zero length i2c_master_read()
  - 7d363362e006 nfc: nfcmrvl: Fix irq_of_parse_and_map() return value
  - 63b2fe509f69 net: bonding: fix use-after-free after 802.3ad slave unbind
  ACK: pavel
  - 7597ed348e62 net: bonding: fix possible NULL deref in rlb code
  ACK: pavel
  - ac12337229ea net/sched: act_api: Notify user space if any actions were flushed before error
  ACK: pavel
  - 91d3bb82c43e netfilter: nft_dynset: restore set element counter when failing to update
  ACK: pavel
  - 4b480a7940ff s390: remove unneeded 'select BUILD_BIN2C'
  IGN: pavel
  - e65027fdebba PM / devfreq: exynos-ppmu: Fix refcount leak in of_get_devfreq_events
  ACK: pavel
  - 653bdcd833b7 caif_virtio: fix race between virtio_device_ready() and ndo_open()
  - 208ff7967534 NFSD: restore EINVAL error translation in nfsd_commit()
  UR: pavel --! we do not have the patch this fixes?!
  - db82bb605404 net: ipv6: unexport __init-annotated seg6_hmac_net_init()
  - eb1757ca20b8 usbnet: fix memory allocation in helpers
  ACK: pavel
  - fae2a9fb1eaf linux/dim: Fix divide by 0 in RDMA DIM
  - b0cab8b517ae RDMA/cm: Fix memory leak in ib_cm_insert_listen
  - 9de276dfb20c RDMA/qedr: Fix reporting QP timeout attribute
  - a42bd00f0035 net: dp83822: disable rx error interrupt
  - 9c06d84855bd net: dp83822: disable false carrier interrupt
  - c70ca16f72b2 net: tun: stop NAPI when detaching queues
  ACK: pavel
  - bec1be0a745a net: tun: unlink NAPI from device on destruction
  ACK: pavel
  - 0b2499c8014f net: dsa: bcm_sf2: force pause link settings
  - 3f55912a1a98 selftests/net: pass ipv6_args to udpgso_bench's IPv6 TCP test
  - f7b8fb458445 virtio-net: fix race between ndo_open() and virtio_device_ready()
  ACK: pavel
  - c0a28f2ddf9a net: usb: ax88179_178a: Fix packet receiving
  ACK: pavel -- rather complex and poorly tested
  - 8f74cb27c2b4 net: rose: fix UAF bugs caused by timer handler
  ACK: pavel
  - 6a0b9512a6aa SUNRPC: Fix READ_PLUS crasher
  ACK: pavel
  - ed03a650fb57 s390/archrandom: simplify back to earlier design and initialize earlier
  - d8bca518d527 dm raid: fix KASAN warning in raid5_add_disks
  ACK: pavel
  - 9bf2b0757b04 dm raid: fix accesses beyond end of raid member array
  ACK: pavel -- three fixes in one
  - 213c550deb6b powerpc/bpf: Fix use of user_pt_regs in uapi
  ACK: pavel
  - 68a34e478ad5 powerpc/book3e: Fix PUD allocation size in map_kernel_page()
  ACK: pavel
  - e188bbdb9229 powerpc/prom_init: Fix kernel config grep
  ACK: pavel
  - e6a7d30b650a nvdimm: Fix badblocks clear off-by-one error
  ACK: pavel
  - 0b99c4a18936 nvme-pci: add NVME_QUIRK_BOGUS_NID for ADATA XPG SX6000LNP (AKA SPECTRIX S40G)
  ACK: pavel
  - e77804158b30 ipv6: take care of disable_policy when restoring routes
  ACK: pavel -- just a preparation?
  - 03b9e016598f drm/amdgpu: To flush tlb for MMHUB of RAVEN series
  ACK: pavel
